rem version for Java 1.5 (5.0) and up
rem @echo off

rem set default path to org.rexxla.bsf, 2005-06-02, ---rgf
set path2engine=org\rexxla\bsf\engines\rexx

rem default to Apache's BSF
set javaSrc=apache-rexxla

if not :%1: == :: (
    set javaSrc=ibm-rexxla
)
echo Compiling for [%javaSrc%] ...

rem javac -target 1.1 *.java && copy *.class ..
md ..\%path2engine%
rem dir ..\%path2engine%
@echo off
rem javac -target 1.1 %javaSrc%\*.java && copy %javaSrc%\*.class ..\%path2engine% && copy %javaSrc%\*.java ..\%path2engine%

rem alt:
rem javac -target 1.1 %javaSrc%\*.java && copy %javaSrc%\*.class ..\%path2engine% && copy %javaSrc%\*.java ..\%path2engine%

del %path2engine%\A*.class
del %path2engine%\E*.class
del %path2engine%\J*.class
del %path2engine%\Re*.class
del %path2engine%\S*.class

javac -target 1.1 -source 1.3 %javaSrc%\ArrayWrapper.java       && copy %javaSrc%\ArrayWrapper.*       ..\%path2engine%
javac -target 1.1 -source 1.3 %javaSrc%\EnumerationWrapper.java && copy %javaSrc%\EnumerationWrapper.* ..\%path2engine%
javac -target 1.1 -source 1.3 %javaSrc%\Java4Rexx.java          && copy %javaSrc%\Java4Rexx.*          ..\%path2engine%
javac -target 1.1 -source 1.3 %javaSrc%\RexxAndJava.java        && copy %javaSrc%\RexxAndJava.*        ..\%path2engine%
javac -target 1.1 -source 1.3 %javaSrc%\RexxEngine.java         && copy %javaSrc%\RexxEngine.*         ..\%path2engine%
javac -target 1.1 -source 1.3 %javaSrc%\Supplier.java           && copy %javaSrc%\Supplier.*           ..\%path2engine%

rem only compile if Java 1.5 (5.0) or higher
javac -source 1.5 -target 1.5 %javaSrc%\RgfUtilCast.java   && copy %javaSrc%\RgfUtilCast.*       ..\%path2engine%

